\name{PE} 
\alias{PE}
\title{Partition entropy}
\description{
 Produces the partition entropy index. The optimal number of cluster \emph{k} is achieved when the index value is minimized.
} 
\usage{ 
 PE (U, b)
}
\arguments{
 \item{U}{Membership degree matrix}
 \item{b}{Logarithmic base (default: exp(1))}
}
\value{
 \item{pe}{Value of the partition entropy index}
} 
\references{
 Bezdek J.C., 1981. Pattern Recognition with Fuzzy Objective Function Algorithms. Plenum Press, NewYork.
}
\author{Paolo Giordani, Maria Brigida Ferraro}
\seealso{\code{\link{PC}}, \code{\link{MPC}}, \code{\link{SIL}}, \code{\link{SIL.F}}, \code{\link{XB}}, \code{\link{Fclust}}}
\examples{
data(Mc)
for (j in 2:(ncol(Mc)-1))
Mc[,j]=Mc[,j]/Mc[,1]
Mc=Mc[,-1]
clust=FKM(Mc[,1:(ncol(Mc)-1)],k=6,m=1.5,stand=1)
pe=PE(clust$U)
}
\keyword{multivariate}